
@media (max-width : 768px) {

    .header-content {

        padding: 0px 20px;
    }

    .header h2{
        font-size: 18px;
    }

    .darkmode {

        font-size: 12px;
    }

    .search-filter-container {

        flex-direction: column;
    }

    .search-container {

        width: inherit;
    }

    .countries-container {

        gap: 5px;
        row-gap: 30px;
    }

    .flagImg{

        width: 170px;
    }

    .country-detail {

        width: 170px;
    }
}

@media (max-width : 400px) {

    .countries-container {

        align-items: center;
        justify-content: space-between;
    }

    .flagImg {

        width: 150px;
    }

    .country-detail {

        width: 150px;
    }

    .country-detail p{

        font-size: 8px;
    }

  }

  @media (max-width : 370px) {

    .countries-container {

        justify-content: center;
    }

    .flagImg {

        width: 200px;
    }

    .country-detail {

        width: 200px;
    }

    .country-detail p{

        font-size: 12px;
    }

  }